{
  "env": {
    "browser": true,
    "es2021": true
  },
  "extends": ["eslint:recommended", "plugin:@typescript-eslint/recommended"],
  "parser": "@typescript-eslint/parser",
  "parserOptions": {
    "ecmaVersion": "latest",
    "sourceType": "module"
  },
  "globals": {
    "process": "writable",
    "__filename": "writable",
    "__dirname": "writable",
    "require": "readonly",
    "module": "readonly"
  },
  "plugins": ["@typescript-eslint"],
  "rules": {
    "@typescript-eslint/no-var-requires": 0,
    "indent": ["error", 2],
    "linebreak-style": ["error", "unix"],
    "quotes": ["error", "double"],
    "semi": ["error", "always"]
  }
}
